<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">

    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title>Sprint 2</title>

    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
            background-color: white;
        }

        header {
            background: linear-gradient(to right, #333, #38a5f3);
            color: white;
            padding: 40px;
            text-align: left;
            font-size: 25px;
            font-family: Calibri, sans-serif;
        }

        h1 {
            margin: 0;
        }

        /* buttons */
        .button-container {
            display: flex;
            justify-content: center;
            align-items: center;
            margin-top: 10px;
            margin-bottom: 10px;
        }
        .button-container button {
            padding: 12px 20px;
            margin: 0 10px;
            border: none;
            border-radius: 25px;
            background-color: #38a5f3;
            color: white;
            font-size: 20px;
            cursor: pointer;
            transition: background-color 0.3s ease;
            font-family: Calibri, sans-serif;
        }
        .button-container button:hover {
            background-color: #191c19;
        }

        .button2-container {
            display: flex;
            justify-content: left;
            align-items: left;
            margin-top: 10px;
            margin-bottom: 10px;
        }
        .button2-container button {
            padding: 12px 20px;
            margin: 0 10px;
            border: none;
            border-radius: 25px;
            background-color: #38a5f3;
            color: white;
            font-size: 20px;
            cursor: pointer;
            transition: background-color 0.3s ease;
            font-family: Calibri, sans-serif;
        }
        .button2-container button:hover {
            background-color: #191c19;
        }

        /* subsections */
        .subsection {
            background-color: white;
            padding: 20px;
            border: 1px solid white;
            margin-top: 10px;
            margin-bottom: 10px;
            font-size: 20px;
            font-family: Calibri, sans-serif;
        }

        .subsection hr {
            border: none;
            height: 2px;
            background-color: black;
            margin: 10px 0;
        }

        /* tables */
        table {
            width: 100%;
            border-collapse: collapse;
        }
        th, td {
            border: 1px solid #ccc;
            padding: 8px;
            text-align: center;
            font-size: 20px;
            font-family: Calibri, sans-serif;
        }
        th {
            background-color: #38a5f3;
            color: white;
            font-size: 25px;
            font-family: Calibri, sans-serif;
        }

        /* images */
        figure {
            display: inline-block;
            margin: 10px;
            width: 150px;
        }

        img {
            max-width: 100%;
            border-radius: 10px;
            height: auto;
        }

        figcaption {
            text-align: center;
            font-style: italic;
            margin-top: 5px;
        }
    </style>

</head>

<body>
    <header>
        <h1>PACTL-Sym Parser</h1>
    </header>

    <div class="button2-container">
        <button onclick="location.href='../sprints/index.html'">Voltar</button>
    </div>

    <hr>

    <div class="subsection">
        <h2>Sprint 2 (06 de Maio - 17 de Maio)</h2>

        <p>
            <b>Objetivos:</b>
            <ul>
                <li>Processamento do estado meta.</li>
                <li>Processamento do estado inicial.</li>
                <li>Geração do arquivo de saída com as seções das proposições e dos estados
                    inicial e meta.</li>
                <li>Refatoração dos testes para adequá-los às classes Object e Predicate.</li>
                <li>Implementação dos testes da classe Proposition.</li>
                <li>Implementação dos testes dos estados inicial e meta.</li>
            </ul>
        </p>

        <p>
            <b>Entregas:</b>
            <ul>
                <li>Arquivo <i>src/parser_pddl.py</i>: implementação dos métodos para processamento dos estados
                    inicial e meta. Implementação dos métodos de geração das seções das proposições e dos
                    estados inicial e meta do arquivo final.</li>
                <li>Arquivo <i>tests/test_domain.py</i>: refatoração dos testes de predicados.</li>
                <li>Arquivo <i>tests/test_problem.py</i>: refatoração dos testes de objetos.</li>
                <li>Arquivo <i>tests/test_parser.py</i>: testes do armazenamento de proposições, estado
                    inicial e estado meta.</li>
            </ul>
        </p>

        <table>
            <tr>
                <th>Tarefas</th>
                <th>Tempo estimado (em horas)</th>
                <th>Tempo demandado (em horas)</th>
                <th>Membros envolvidos</th>
            </tr>

            <tr>
                <td>Discussão sobre como armazenar e testar Estado Meta</td>
                <td>1</td>
                <td>1</td>
                <td>Todos</td>
            </tr>

            <tr>
                <td>Processamento do Estado Inicial</td>
                <td>4</td>
                <td>3</td>
                <td>Matheus e Henri</td>
            </tr>

            <tr>
                <td>Processamento do Estado Meta</td>
                <td>3</td>
                <td>4</td>
                <td>Matheus e Henri</td>
            </tr>

            <tr>
                <td>Implementação inicial dos métodos de geração do arquivo de saída</td>
                <td>2</td>
                <td>3</td>
                <td>Matheus e Henri</td>
            </tr>

            <tr>
                <td>Refatoração dos testes para adequá-los à classe Object</td>
                <td>2</td>
                <td>2,5</td>
                <td>André e João</td>
            </tr>

            <tr>
                <td>Refatoração dos testes para adequá-los à classe Predicate</td>
                <td>1,5</td>
                <td>1,5</td>
                <td>André e João</td>
            </tr>

            <tr>
                <td>Implementação dos testes da classe Proposition</td>
                <td>1,5</td>
                <td>1,5</td>
                <td>André e João</td>
            </tr>

            <tr>
                <td>Implementação dos testes do estado inicial</td>
                <td>1,5</td>
                <td>1</td>
                <td>André e João</td>
            </tr>

            <tr>
                <td>Implementação dos testes do estado meta</td>
                <td>1</td>
                <td>1</td>
                <td>André e João</td>
            </tr>

        </table>
    </div>


</body>
</html>